diff run.sh @ 0:43fb752fc295 draft

planemo upload for repository https://github.com/muon-spectroscopy-computational-project/muon-galaxy-tools/main/pm_dftb_opt commit d130cf2c46d933fa9d0214ddbd5ddf860f322dc4
author muon-spectroscopy-computational-project
date Thu, 25 Aug 2022 16:18:08 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/run.sh	Thu Aug 25 16:18:08 2022 +0000
@@ -0,0 +1,14 @@
+#! /bin/bash
+
+set -o errexit
+[ ! -d "$1/dftb+" ] && ( echo 1>&2 "no dftb+ structures found" && exit 2 )
+for x in $1/dftb+/* 
+do 
+    
+    if ! out=$(echo $x && cd $x && dftb+)
+    then 
+    echo 1>&2 "$out"; exit 3
+    else
+    echo "$out"
+    fi
+done || exit 
\ No newline at end of file